# QuickHashStringIntHash::get

(No version information available, might only be in Git)

QuickHashStringIntHash::get — This method retrieves a value from the hash by its key

### Descripción

public QuickHashStringIntHash::get(string `$key`): mixed

This method retrieves a value from the hash by its key.

### Parámetros

`key`

  The key of the entry to retrieve.

### Valores devueltos

The value if the key exists, or `null` if the key wasn't part of the hash.

### Ejemplos

Ejemplo #1 QuickHashStringIntHash::get() example

`<?php
$hash = new QuickHashStringIntHash( 8 );
var_dump( $hash->get( "one" ) );
var_dump( $hash->add( "two", 2 ) );
var_dump( $hash->get( "two" ) );
?>`

El resultado del ejemplo sería algo similar a:

    bool(false)
    bool(true)
    int(2)